%{?mingw_package_header}

Name:           mingw-libxslt
Version:        1.1.37
Release:        %mkrel 1
Summary:        MinGW Windows Library providing the Gnome XSLT engine

License:        MIT
Group:          Development/Other
URL:            https://gitlab.gnome.org/GNOME/libxslt
Source0:        https://gitlab.gnome.org/GNOME/libxslt/-/archive/v%{version}/libxslt-v%{version}.tar.bz2

BuildArch:      noarch

BuildRequires:  automake autoconf libtool
BuildRequires:  make

BuildRequires:  mingw32-filesystem >= 95
BuildRequires:  mingw32-gcc
BuildRequires:  mingw32-binutils
BuildRequires:  mingw32-win-iconv
BuildRequires:  mingw32-libgcrypt
BuildRequires:  mingw32-libxml2 >= 2.7.2-3

BuildRequires:  mingw64-filesystem >= 95
BuildRequires:  mingw64-gcc
BuildRequires:  mingw64-binutils
BuildRequires:  mingw64-win-iconv
BuildRequires:  mingw64-libgcrypt
BuildRequires:  mingw64-libxml2 >= 2.7.2-3

BuildRequires:  pkgconfig

%description
This C library allows to transform XML files into other XML files
(or HTML, text, ...) using the standard XSLT stylesheet transformation
mechanism. To use it you need to have a version of libxml2 >= 2.6.27
installed. The xsltproc command is a command line interface to the XSLT engine


# Win32
%package -n mingw32-libxslt
Summary:        MinGW Windows Library providing the Gnome XSLT engine
Requires:       mingw32-libxml2 >= 2.7.2-3
Requires:       pkgconfig

%description -n mingw32-libxslt
This C library allows to transform XML files into other XML files
(or HTML, text, ...) using the standard XSLT stylesheet transformation
mechanism. To use it you need to have a version of libxml2 >= 2.6.27
installed. The xsltproc command is a command line interface to the XSLT engine

%package -n mingw32-libxslt-static
Summary:        Static version of the MinGW Windows LibXSLT library
Requires:       mingw32-libxslt = %{version}-%{release}

%description -n mingw32-libxslt-static
Static version of the MinGW Windows LibXSLT library.

# Win64
%package -n mingw64-libxslt
Summary:        MinGW Windows Library providing the Gnome XSLT engine
Requires:       mingw64-libxml2 >= 2.7.2-3
Requires:       pkgconfig

%description -n mingw64-libxslt
This C library allows to transform XML files into other XML files
(or HTML, text, ...) using the standard XSLT stylesheet transformation
mechanism. To use it you need to have a version of libxml2 >= 2.6.27
installed. The xsltproc command is a command line interface to the XSLT engine

%package -n mingw64-libxslt-static
Summary:        Static version of the MinGW Windows LibXSLT library
Requires:       mingw64-libxslt = %{version}-%{release}

%description -n mingw64-libxslt-static
Static version of the MinGW Windows LibXSLT library.


%{?mingw_debug_package}


%prep
%autosetup -n libxslt-v%{version} -p1
NOCONFIGURE=1 ./autogen.sh


%build
%mingw_configure --without-python --enable-shared --enable-static
%mingw_make_build


%install
%mingw_make_install

# Remove doc and man which duplicate stuff already in Fedora native package.
rm -r %{buildroot}%{mingw32_datadir}/gtk-doc
rm -r %{buildroot}%{mingw32_docdir}
rm -r %{buildroot}%{mingw32_mandir}
rm -r %{buildroot}%{mingw64_datadir}/gtk-doc
rm -r %{buildroot}%{mingw64_docdir}
rm -r %{buildroot}%{mingw64_mandir}

# Drop all .la files
find %{buildroot} -name "*.la" -delete


# Win32
%files -n mingw32-libxslt
%license Copyright
%{mingw32_bindir}/xslt-config
%{mingw32_bindir}/xsltproc.exe
%{mingw32_includedir}/libexslt
%{mingw32_includedir}/libxslt
%{mingw32_bindir}/libexslt-0.dll
%{mingw32_libdir}/libexslt.dll.a
%{mingw32_bindir}/libxslt-1.dll
%{mingw32_libdir}/libxslt.dll.a
%{mingw32_libdir}/pkgconfig/libexslt.pc
%{mingw32_libdir}/pkgconfig/libxslt.pc
%{mingw32_libdir}/cmake/libxslt/
%{mingw32_libdir}/xsltConf.sh
%{mingw32_datadir}/aclocal/libxslt.m4

%files -n mingw32-libxslt-static
%{mingw32_libdir}/libexslt.a
%{mingw32_libdir}/libxslt.a

# Win64
%files -n mingw64-libxslt
%license Copyright
%{mingw64_bindir}/xslt-config
%{mingw64_bindir}/xsltproc.exe
%{mingw64_includedir}/libexslt
%{mingw64_includedir}/libxslt
%{mingw64_bindir}/libexslt-0.dll
%{mingw64_libdir}/libexslt.dll.a
%{mingw64_bindir}/libxslt-1.dll
%{mingw64_libdir}/libxslt.dll.a
%{mingw64_libdir}/pkgconfig/libexslt.pc
%{mingw64_libdir}/pkgconfig/libxslt.pc
%{mingw64_libdir}/cmake/libxslt/
%{mingw64_libdir}/xsltConf.sh
%{mingw64_datadir}/aclocal/libxslt.m4

%files -n mingw64-libxslt-static
%{mingw64_libdir}/libexslt.a
%{mingw64_libdir}/libxslt.a




%changelog
* Thu Sep 01 2022 tv <tv> 1.1.37-1.mga9
+ Revision: 1883279
- Update to 1.1.37

* Sun May 01 2022 tv <tv> 1.1.35-3.mga9
+ Revision: 1855390
- Update to 1.1.35

* Sat Mar 26 2022 umeabot <umeabot> 1.1.34-3.mga9
+ Revision: 1827447
- Mageia 9 Mass Rebuild

* Tue Feb 18 2020 umeabot <umeabot> 1.1.34-2.mga8
+ Revision: 1541798
- Mageia 8 Mass Rebuild

* Thu Jan 02 2020 daviddavid <daviddavid> 1.1.34-1.mga8
+ Revision: 1475462
- new version: 1.1.34

* Sat Jul 06 2019 daviddavid <daviddavid> 1.1.33-1.mga8
+ Revision: 1418932
- new version: 1.1.33

* Thu Sep 20 2018 umeabot <umeabot> 1.1.32-2.mga7
+ Revision: 1279922
- Mageia 7 Mass Rebuild

* Mon Aug 06 2018 daviddavid <daviddavid> 1.1.32-1.mga7
+ Revision: 1248271
- new version: 1.1.32

* Thu Jan 28 2016 umeabot <umeabot> 1.1.28-6.mga6
+ Revision: 928474
- Mageia 6 Mass Rebuild
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Sun Oct 27 2013 neoclust <neoclust> 1.1.28-3.mga4
+ Revision: 547484
- imported package mingw-libxslt

